<script setup>
    import { ref, reactive } from 'vue'
    import { HttpReq } from '@/utilies/httpRequest';

    const emits = defineEmits(['updateGuide'])

    const dialogSend = ref(false)
    const formInputs = reactive({
        declaredValue: "",
        serviceLevel: {},
        contents: "",
        observation: "",
        
    })
    const serviceLevel = reactive([
        { title: "Estandar", value: "1" },
        { title: "Express", value: "2"},
        { title: "Programado", value: "3"}
    ])

    const dataOrder = ref({})
    const guideFields_id = ref("")

    function openModal(data, id) {
        console.log("id: ", id)
        console.log("data: ", data)
        dataOrder.value = data
        guideFields_id.value = id
        formInputs.declaredValue = dataOrder.value.declaredValue
        formInputs.serviceLevel = dataOrder.value.serviceLevel
        formInputs.contents = dataOrder.value.contents
        formInputs.observation = dataOrder.value.observation
        dialogSend.value = true
    }

    async function updateData() {
        dataOrder.value.declaredValue = formInputs.declaredValue
        dataOrder.value.serviceLevel = formInputs.serviceLevel
        dataOrder.value.contents = formInputs.contents
        dataOrder.value.observation = formInputs.observation
        console.log("dataOrder: ", dataOrder.value)
        let resp = await HttpReq.putData({...dataOrder.value},'package',guideFields_id.value)

        if(resp.status == 200) {
            console.log("resp: ", resp)
            emits('updateGuide', resp.data, guideFields_id.value)
        } else {
            console.log("error")
        }
        dialogSend.value = false
    }

    defineExpose({
        openModal
    })


</script>
<template>
    <v-row justify="center">
        <v-dialog
        v-model="dialogSend"
        max-width="350"
        >
            <v-card>
                <v-card-title class="text-h5">
                    Editar
                </v-card-title>
                <v-card-text>
                    <v-text-field
                        label="Valor declarado"
                        v-model="formInputs.declaredValue"
                    >
                    </v-text-field>
                    <v-select
                        v-model="formInputs.serviceLevel"
                        :items="serviceLevel"
                        label="Nivel de servicio"
                        item-text="title"
                        item-value="value"
                        dense
                    ></v-select>

                    <v-textarea
                        label="Contenido"
                        v-model="formInputs.contents"
                        rows="2"
                    >
                    </v-textarea>

                    <v-textarea
                        label="Observaciones"
                        v-model="formInputs.observation"
                        rows="2"
                    >
                    </v-textarea>

                </v-card-text>
                <v-card-actions>
                    <v-spacer></v-spacer>
                    <v-btn
                        color="green darken-1"
                        text
                        @click="updateData()"

                    >
                        Enviar
                    </v-btn>
                    <v-btn
                        color="primary"
                        text
                        @click="dialogSend = false"
                    >
                        Cerrar
                    </v-btn>

                </v-card-actions>
            </v-card>
        </v-dialog>
    </v-row>
</template>

<style>

</style>